File gitlab-ce.less_strict.patch of Package gitlab-ce

Index: gitlab-ce/Gemfile
===================================================================
--- gitlab-ce.orig/Gemfile
+++ gitlab-ce/Gemfile
@@ -1,6 +1,6 @@
 source 'https://rubygems.org'
 
-gem 'rails', '6.0.2'
+gem 'rails', '~> 6.0.2'
 
 gem 'bootsnap', '~> 1.4.6'
 
@@ -32,10 +32,10 @@ gem 'omniauth', '~> 1.8'
 gem 'omniauth-auth0', '~> 2.0.0'
 gem 'omniauth-azure-oauth2', '~> 0.0.9'
 gem 'omniauth-cas3', '~> 1.1.4'
-gem 'omniauth-facebook', '~> 4.0.0'
+gem 'omniauth-facebook', '~> 6.0.0'
 gem 'omniauth-github', '~> 1.4'
 gem 'omniauth-gitlab', '~> 1.0.2'
-gem 'omniauth-google-oauth2', '~> 0.6.0'
+gem 'omniauth-google-oauth2', '~> 0.6'
 gem 'omniauth-kerberos', '~> 0.3.0', group: :kerberos
 gem 'omniauth-oauth2-generic', '~> 0.2.2'
 gem 'omniauth-saml', '~> 1.10'
@@ -47,7 +47,7 @@ gem 'omniauth_openid_connect', '~> 0.3.3
 gem "omniauth-ultraauth", '~> 0.0.2'
 gem 'omniauth-salesforce', '~> 1.0.5'
 gem 'rack-oauth2', '~> 1.9.3'
-gem 'jwt', '~> 2.1.0'
+gem 'jwt', '~> 2.1'
 
 # Kerberos authentication. EE-only
 gem 'gssapi', group: :kerberos
@@ -84,7 +84,7 @@ gem 'net-ldap'
 # API
 gem 'grape', '~> 1.1.0'
 gem 'grape-entity', '~> 0.7.1'
-gem 'rack-cors', '~> 1.0.6', require: 'rack/cors'
+gem 'rack-cors', '~> 1.0', require: 'rack/cors'
 
 # GraphQL API
 gem 'graphql', '~> 1.9.19'
@@ -142,7 +142,7 @@ gem 'gitlab-markup', '~> 1.7.0'
 gem 'github-markup', '~> 1.7.0', require: 'github/markup'
 gem 'commonmarker', '~> 0.20'
 gem 'RedCloth', '~> 4.3.2'
-gem 'rdoc', '~> 6.1.2'
+gem 'rdoc', '~> 6.2.0'
 gem 'org-ruby', '~> 0.9.12'
 gem 'creole', '~> 0.5.0'
 gem 'wikicloth', '0.8.1'
@@ -166,15 +166,15 @@ gem 'diff_match_patch', '~> 0.1.0'
 gem 'rack', '~> 2.0.7'
 
 group :unicorn do
-  gem 'unicorn', '~> 5.4.1'
+  gem 'unicorn', '~> 5.5.0'
   gem 'unicorn-worker-killer', '~> 0.4.4'
 end
 
-group :puma do
-  gem 'gitlab-puma', '~> 4.3.3.gitlab.2', require: false
-  gem 'gitlab-puma_worker_killer', '~> 0.1.1.gitlab.1', require: false
-  gem 'rack-timeout', require: false
-end
+# group :puma do
+#   gem 'gitlab-puma', '~> 4.3.3.gitlab.2', require: false
+#   gem 'gitlab-puma_worker_killer', '~> 0.1.1.gitlab.1', require: false
+#   gem 'rack-timeout', require: false
+# end
 
 # State machine
 gem 'state_machines-activerecord', '~> 0.6.0'
@@ -185,7 +185,7 @@ gem 'acts-as-taggable-on', '~> 6.0'
 # Background jobs
 gem 'sidekiq', '~> 5.2.7'
 gem 'sidekiq-cron', '~> 1.0'
-gem 'redis-namespace', '~> 1.6.0'
+gem 'redis-namespace', '~> 1.7.0'
 gem 'gitlab-sidekiq-fetcher', '0.5.2', require: 'sidekiq-reliable-fetch'
 
 # Cron Parser
@@ -227,7 +227,7 @@ gem 'redis-rails', '~> 5.0.2'
 gem 'discordrb-webhooks-blackst0ne', '~> 3.3', require: false
 
 # HipChat integration
-gem 'hipchat', '~> 1.5.0'
+gem 'hipchat', '~> 1.6.0'
 
 # Jira integration
 gem 'jira-ruby', '~> 1.7'
@@ -440,7 +440,7 @@ gem 'health_check', '~> 2.6.0'
 
 # System information
 gem 'vmstat', '~> 2.3.0'
-gem 'sys-filesystem', '~> 1.1.6'
+gem 'sys-filesystem', '~> 1.1'
 
 # NTP client
 gem 'net-ntp'